org.eclipse.emf.cdo.server

## Interface ISession

- All Superinterfaces:
    CDOCommonSession, Closeable, IAdaptable, IContainer<IView>, INotifier, IOptionsContainer, IPropertiesContainer, IUserAware
  All Known Subinterfaces:
    InternalSession

      public interface ISession
      extends CDOCommonSession, IContainer<IView>

  The server-side representation of a client `session`.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.CDOCommonSession

      `CDOCommonSession.Options`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getLastUpdateTime()` Deprecated. The return value of this method can not be relied upon to be strictly ordered!
    `ISessionManager` | `getManager()`
    `ISessionProtocol` | `getProtocol()`
    `boolean` | `isSubscribed()`
    `ITransaction` | `openTransaction(int viewID, CDOBranchPoint branchPoint)`
    `IView` | `openView(int viewID, CDOBranchPoint branchPoint)`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonSession

      `getSessionID, getView, getViews, options`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

      `getUserID`

    - ### Methods inherited from interface org.eclipse.net4j.util.properties.IPropertiesContainer

      `properties`

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

      `close, isClosed`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### getManager

          ISessionManager getManager()

      Since:
        3.0

    - #### getProtocol

          ISessionProtocol getProtocol()

      Since:
        3.0

    - #### getLastUpdateTime

          @Deprecated
          long getLastUpdateTime()

      Deprecated. The return value of this method can not be relied upon to be strictly ordered!
      Since:
        4.0

    - #### isSubscribed

          boolean isSubscribed()

      Since:
        2.0

    - #### openView

          IView openView(int viewID,
                         CDOBranchPoint branchPoint)

      Since:
        3.0

    - #### openTransaction

          ITransaction openTransaction(int viewID,
                                       CDOBranchPoint branchPoint)

      Since:
        3.0

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html